Debian Bug report logs - #533934
pperl: FTBFS: tests failed directory

version graph

Package: pperl; Maintainer for pperl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for pperl is src:pperl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:21:48 UTC

Severity: serious

Merged with 539028

Found in version pperl/0.25-5

Fixed in version pperl/0.25-6

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Sun, 21 Jun 2009 15:21:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Sun, 21 Jun 2009 15:21:50 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pperl: FTBFS: tests failed directory
Date: Sun, 21 Jun 2009 17:09:33 +0200
Package: pperl
Version: 0.25-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> t/00stevens..........ok
> t/01basic............ok
> t/02usage............ok
> pperl: persistent perl process failed to start after 30 seconds: No such file or directory
> # Test 4 got: "" (t/03cat.t at line 19)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with pipe)
> #     (Install the Algorithm::Diff module to have differences in multiline
> #      output explained.  You might also set the PERL_TEST_DIFF environment
> #      variable to run a diff program on the output.)
> #  t/03cat.t line 19 is: ok($foo, $seed, "pperl with pipe");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlYyxZSy line 275
> pperl: perl script failed to start: No such file or directory
> # Test 5 got: "" (t/03cat.t at line 22)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with arg)
> #  t/03cat.t line 22 is: ok($foo, $seed, "pperl with arg");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlBzniJC line 275
> pperl: perl script failed to start: No such file or directory
> # Test 6 got: "" (t/03cat.t at line 25)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with pipe2)
> #  t/03cat.t line 25 is: ok($foo, $seed, "pperl with pipe2");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl5uxZhE line 275
> pperl: perl script failed to start: No such file or directory
> # Test 7 got: "" (t/03cat.t at line 28)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with arg2)
> #  t/03cat.t line 28 is: ok($foo, $seed, "pperl with arg2");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperltnvZNK line 275
> pperl: perl script failed to start: No such file or directory
> # Test 8 got: "" (t/03cat.t at line 31)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with pipe3)
> #  t/03cat.t line 31 is: ok($foo, $seed, "pperl with pipe3");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlRtBEPO line 275
> pperl: perl script failed to start: No such file or directory
> # Test 9 got: "" (t/03cat.t at line 34)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n" (pperl with arg3)
> #  t/03cat.t line 34 is: ok($foo, $seed, "pperl with arg3");
> t/03cat..............FAILED tests 4-9
> 	Failed 6/9 tests, 33.33% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl1VaQDU line 275
> pperl: perl script failed to start: No such file or directory
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl0fBRBY line 275
> pperl: perl script failed to start: No such file or directory
> # Test 4 got: "" (t/04args.t at line 13)
> #   Expected: "'foo\nbar'\n'baz'\n"
> #     (Install the Algorithm::Diff module to have differences in multiline
> #      output explained.  You might also set the PERL_TEST_DIFF environment
> #      variable to run a diff program on the output.)
> #  t/04args.t line 13 is: ok(capture('./pperl', 't/args.plx', "foo\nbar", 'baz'),
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlNB5Bs0 line 275
> pperl: perl script failed to start: No such file or directory
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlLDh2L4 line 275
> pperl: perl script failed to start: No such file or directory
> # Test 6 got: "" (t/04args.t at line 29)
> #   Expected: "'foo' => 'bar\nbaz'\n'null' => ''\n'quu\nx' => 'wobble'\n"
> #  t/04args.t line 29 is: ok(capture('./pperl', 't/env.plx'),
> t/04args.............FAILED tests 4, 6
> 	Failed 2/6 tests, 66.67% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlNmXrSd line 275
> pperl: perl script failed to start: No such file or directory
> # Test 2 got: "" (t/05cwd.t at line 9)
> #   Expected: "/build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25"
> #  t/05cwd.t line 9 is: ok(`./pperl t/cwd.plx`, $cwd);
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl3WsDDi line 275
> pperl: perl script failed to start: No such file or directory
> # Test 4 got: "" (t/05cwd.t at line 14)
> #   Expected: "/build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/t"
> #  t/05cwd.t line 14 is: ok(`../pperl cwd.plx`, $cwd);
> t/05cwd..............FAILED tests 2, 4
> 	Failed 2/4 tests, 50.00% okay
> # Test 5 got: "1" (t/06exit_die.t at line 17)
> #   Expected: "0"
> #  t/06exit_die.t line 17 is: ok($? >> 8, 0);
> # Test 6 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlcJlu8l line 275\npperl: perl script failed to start: No such file or directory\n" (t/06exit_die.t at line 18)
> #   Expected: ""
> #  t/06exit_die.t line 18 is: ok($out, "");
> # Test 7 got: "1" (t/06exit_die.t at line 21)
> #   Expected: "70"
> #  t/06exit_die.t line 21 is: ok($? >> 8, 70);
> # Test 8 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlrqx0Ms line 275\npperl: perl script failed to start: No such file or directory\n" (t/06exit_die.t at line 22)
> #   Expected: "foo at t/spammy.plx line 7.\n"
> #  t/06exit_die.t line 22 is: ok($out, "foo at t/spammy.plx line 7.\n");
> t/06exit_die.........FAILED tests 5-8
> 	Failed 4/8 tests, 50.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlNRmPTv line 275
> pperl: perl script failed to start: No such file or directory
> # Test 2 got: "1" (t/07djbish.t at line 10)
> #   Expected: "20"
> #  t/07djbish.t line 10 is: ok($? >> 8, 20);
> t/07djbish...........FAILED test 2
> 	Failed 1/2 tests, 50.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlmSNzgB line 275
> pperl: perl script failed to start: No such file or directory
> # Test 1 got: "" (t/08fork.t at line 9)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> #  t/08fork.t line 9 is:     ok(`./pperl t/fork.plx`, $out);
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlLadpuy line 275
> pperl: perl script failed to start: No such file or directory
> # Test 2 got: "" (t/08fork.t at line 9 fail #2)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlxI6wcA line 275
> pperl: perl script failed to start: No such file or directory
> # Test 3 got: "" (t/08fork.t at line 9 fail #3)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlQmEqlG line 275
> pperl: perl script failed to start: No such file or directory
> # Test 4 got: "" (t/08fork.t at line 9 fail #4)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlRLhqEK line 275
> pperl: perl script failed to start: No such file or directory
> # Test 5 got: "" (t/08fork.t at line 9 fail #5)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl873fkM line 275
> pperl: perl script failed to start: No such file or directory
> # Test 6 got: "" (t/08fork.t at line 9 fail #6)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlhQmPoS line 275
> pperl: perl script failed to start: No such file or directory
> # Test 7 got: "" (t/08fork.t at line 9 fail #7)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlrKButW line 275
> pperl: perl script failed to start: No such file or directory
> # Test 8 got: "" (t/08fork.t at line 9 fail #8)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperluC2urY line 275
> pperl: perl script failed to start: No such file or directory
> # Test 9 got: "" (t/08fork.t at line 9 fail #9)
> #   Expected: "I'm the child\nchild exited with code 20\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl7UfBI4 line 275
> pperl: perl script failed to start: No such file or directory
> # Test 10 got: "" (t/08fork.t at line 9 fail #10)
> #    Expected: "I'm the child\nchild exited with code 20\n"
> t/08fork.............FAILED tests 1-10
> 	Failed 10/10 tests, 0.00% okay
> # Test 1 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl0mKNw7 line 275\npperl: perl script failed to start: No such file or directory\n" (t/09taint.t at line 7)
> #   Expected: "Insecure dependency in open while running with -T switch at t/taint_pperl.plx line 4.\n"
> #  t/09taint.t line 7 is: ok($err, "Insecure dependency in open while running with -T switch at t/taint_pperl.plx line 4.\n");
> t/09taint............FAILED test 1
> 	Failed 1/1 tests, 0.00% okay
> # Test 1 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlBS80Ef line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> #  t/10tie.t line 18 is:     ok(`./pperl t/tie.plx $db 2>&1`, $shouldbe);
> # Test 2 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlrGayZj line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #2)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 3 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlUFiZro line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #3)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 4 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlpOxo9u line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #4)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 5 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperltI8NMz line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #5)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 6 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlk8eWvB line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #6)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 7 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlWIfAjG line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #7)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 8 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlFWwyUD line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #8)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 9 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlvBwc4H line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #9)
> #   Expected: "'foo' => 'foo''bar' => 'baz'\n"
> # Test 10 got: "Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlG2HpvK line 275\npperl: perl script failed to start: No such file or directory\n" (t/10tie.t at line 18 fail #10)
> #    Expected: "'foo' => 'foo''bar' => 'baz'\n"
> t/10tie..............FAILED tests 1-10
> 	Failed 10/10 tests, 0.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlGgPLSS line 275
> pperl: perl script failed to start: No such file or directory
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperls6szmX line 275
> pperl: perl script failed to start: No such file or directory
> Can't open foo.17554: No such file or directory at t/cat.plx line 3.
> # Test 4 got: "" (t/11autoclose.t at line 28)
> #   Expected: "foo\n"
> #  t/11autoclose.t line 28 is: ok(`$^X t/cat.plx $file`, "foo\n");
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl9cWXJ1 line 275
> pperl: perl script failed to start: No such file or directory
> Can't open foo.17554: No such file or directory at t/cat.plx line 3.
> # Test 5 got: "" (t/11autoclose.t at line 30)
> #   Expected: "foo\nbar\n"
> #  t/11autoclose.t line 30 is: ok(`$^X t/cat.plx $file`, "foo\nbar\n");
> Use of uninitialized value $_[0] in bitwise and (&) at /usr/lib/perl/5.10/Fcntl.pm line 164.
> # Test 6 got: "0" (t/11autoclose.t at line 16 fail #2)
> #   Expected: "420"
> #  t/11autoclose.t line 16 is:     ok(S_IMODE($mode), 0644);
> t/11autoclose........FAILED tests 4-6
> 	Failed 3/6 tests, 50.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlyYBhtb line 275
> pperl: perl script failed to start: No such file or directory
> # Test 3 got: <UNDEF> (t/12signals.t at line 24 fail #2)
> #   Expected: "starting\n"
> #  t/12signals.t line 24 is:     ok($got, "starting\n");
> error closing pipe  256 at t/12signals.t line 38.
> t/12signals..........dubious
> 	Test returned status 1 (wstat 256, 0x100)
> DIED. FAILED tests 3-6
> 	Failed 4/6 tests, 33.33% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlm9blGl line 275
> pperl: perl script failed to start: No such file or directory
> subprocess error 256 at t/13pid.t line 10.
> t/13pid..............dubious
> 	Test returned status 1 (wstat 256, 0x100)
> DIED. FAILED tests 2-4
> 	Failed 3/4 tests, 25.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlcMRpQq line 275
> pperl: perl script failed to start: No such file or directory
> # Test 3 got: "" (t/14data.t at line 11 fail #2)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> #     (Install the Algorithm::Diff module to have differences in multiline
> #      output explained.  You might also set the PERL_TEST_DIFF environment
> #      variable to run a diff program on the output.)
> #  t/14data.t line 11 is:     ok(`$perl t/data.plx`, $expect);
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlVDBdcv line 275
> pperl: perl script failed to start: No such file or directory
> # Test 4 got: "" (t/14data.t at line 11 fail #3)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperl5LyqzB line 275
> pperl: perl script failed to start: No such file or directory
> # Test 5 got: "" (t/14data.t at line 11 fail #4)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlzhNt3C line 275
> pperl: perl script failed to start: No such file or directory
> # Test 6 got: "" (t/14data.t at line 11 fail #5)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperleDiEoH line 275
> pperl: perl script failed to start: No such file or directory
> # Test 7 got: "" (t/14data.t at line 11 fail #6)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlDfGrJN line 275
> pperl: perl script failed to start: No such file or directory
> # Test 8 got: "" (t/14data.t at line 11 fail #7)
> #   Expected: "This is a test.\n\nIf this were a real program beer would have fallen from the overhead\ncontainers.\n\n"
> t/14data.............FAILED tests 3-8
> 	Failed 6/8 tests, 25.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlnLI2JS line 275
> pperl: perl script failed to start: No such file or directory
> # Test 1 got: <UNDEF> (t/15punctuation.t at line 12)
> #   Expected: "$& \n"
> #  t/15punctuation.t line 12 is:     for (my $i = 0; $i < @expect; $i++) {
> # Test 2 got: <UNDEF> (t/15punctuation.t at line 12 fail #2)
> #   Expected: "$` \n"
> # Test 3 got: <UNDEF> (t/15punctuation.t at line 12 fail #3)
> #   Expected: "$' \n"
> # Test 4 got: <UNDEF> (t/15punctuation.t at line 12 fail #4)
> #   Expected: "$+ \n"
> # Test 5 got: <UNDEF> (t/15punctuation.t at line 12 fail #5)
> #   Expected: "\n"
> # Test 6 got: <UNDEF> (t/15punctuation.t at line 12 fail #6)
> #   Expected: "$. tested elsewhere\n"
> # Test 7 got: <UNDEF> (t/15punctuation.t at line 12 fail #7)
> #   Expected: "$/ \n"
> # Test 8 got: <UNDEF> (t/15punctuation.t at line 12 fail #8)
> #   Expected: "\n"
> # Test 9 got: <UNDEF> (t/15punctuation.t at line 12 fail #9)
> #   Expected: "\n"
> # Test 10 got: <UNDEF> (t/15punctuation.t at line 12 fail #10)
> #    Expected: "$| 0\n"
> # Test 11 got: <UNDEF> (t/15punctuation.t at line 12 fail #11)
> #    Expected: "$, \n"
> # Test 12 got: <UNDEF> (t/15punctuation.t at line 12 fail #12)
> #    Expected: "$ \n"
> # Test 13 got: <UNDEF> (t/15punctuation.t at line 12 fail #13)
> #    Expected: "\n"
> # Test 14 got: <UNDEF> (t/15punctuation.t at line 12 fail #14)
> #    Expected: "$\"  \n"
> # Test 15 got: <UNDEF> (t/15punctuation.t at line 12 fail #15)
> #    Expected: "$; \34\n"
> # Test 16 got: <UNDEF> (t/15punctuation.t at line 12 fail #16)
> #    Expected: "\n"
> # Test 17 got: <UNDEF> (t/15punctuation.t at line 12 fail #17)
> #    Expected: "$% 0\n"
> # Test 18 got: <UNDEF> (t/15punctuation.t at line 12 fail #18)
> #    Expected: "$= 60\n"
> # Test 19 got: <UNDEF> (t/15punctuation.t at line 12 fail #19)
> #    Expected: "$- TODO\n"
> # Test 20 got: <UNDEF> (t/15punctuation.t at line 12 fail #20)
> #    Expected: "$~ STDOUT\n"
> # Test 21 got: <UNDEF> (t/15punctuation.t at line 12 fail #21)
> #    Expected: "$^ STDOUT_TOP\n"
> # Test 22 got: <UNDEF> (t/15punctuation.t at line 12 fail #22)
> #    Expected: "$:  \n"
> # Test 23 got: <UNDEF> (t/15punctuation.t at line 12 fail #23)
> #    Expected: "-\n"
> # Test 24 got: <UNDEF> (t/15punctuation.t at line 12 fail #24)
> #    Expected: "$^L \f\n"
> # Test 25 got: <UNDEF> (t/15punctuation.t at line 12 fail #25)
> #    Expected: "\n"
> # Test 26 got: <UNDEF> (t/15punctuation.t at line 12 fail #26)
> #    Expected: "$? 0\n"
> # Test 27 got: <UNDEF> (t/15punctuation.t at line 12 fail #27)
> #    Expected: "$! \n"
> # Test 28 got: <UNDEF> (t/15punctuation.t at line 12 fail #28)
> #    Expected: "$^E \n"
> # Test 29 got: <UNDEF> (t/15punctuation.t at line 12 fail #29)
> #    Expected: "$@ \n"
> # Test 30 got: <UNDEF> (t/15punctuation.t at line 12 fail #30)
> #    Expected: "\n"
> # Test 31 got: <UNDEF> (t/15punctuation.t at line 12 fail #31)
> #    Expected: "$$ tested elsewhere\n"
> # Test 32 got: <UNDEF> (t/15punctuation.t at line 12 fail #32)
> #    Expected: "$< 1001\n"
> # Test 33 got: <UNDEF> (t/15punctuation.t at line 12 fail #33)
> #    Expected: "$> 1001\n"
> # Test 34 got: <UNDEF> (t/15punctuation.t at line 12 fail #34)
> #    Expected: "$( 107 107\n"
> # Test 35 got: <UNDEF> (t/15punctuation.t at line 12 fail #35)
> #    Expected: "$) 107 107\n"
> # Test 36 got: <UNDEF> (t/15punctuation.t at line 12 fail #36)
> #    Expected: "$0 t/punctuation.plx\n"
> # Test 37 got: <UNDEF> (t/15punctuation.t at line 12 fail #37)
> #    Expected: "\n"
> # Test 38 got: <UNDEF> (t/15punctuation.t at line 12 fail #38)
> #    Expected: "$] 5.010000\n"
> # Test 39 got: <UNDEF> (t/15punctuation.t at line 12 fail #39)
> #    Expected: "\n"
> # Test 40 got: <UNDEF> (t/15punctuation.t at line 12 fail #40)
> #    Expected: "$^A \n"
> # Test 41 got: <UNDEF> (t/15punctuation.t at line 12 fail #41)
> #    Expected: "$^C 0\n"
> # Test 42 got: <UNDEF> (t/15punctuation.t at line 12 fail #42)
> #    Expected: "$^D 0\n"
> # Test 43 got: <UNDEF> (t/15punctuation.t at line 12 fail #43)
> #    Expected: "$^F hightly dependant on weather\n"
> # Test 44 got: <UNDEF> (t/15punctuation.t at line 12 fail #44)
> #    Expected: "$^I \n"
> # Test 45 got: <UNDEF> (t/15punctuation.t at line 12 fail #45)
> #    Expected: "$^P 0\n"
> # Test 46 got: <UNDEF> (t/15punctuation.t at line 12 fail #46)
> #    Expected: "$^R \n"
> # Test 47 got: <UNDEF> (t/15punctuation.t at line 12 fail #47)
> #    Expected: "$^S can't affect\n"
> # Test 48 got: <UNDEF> (t/15punctuation.t at line 12 fail #48)
> #    Expected: "$^T can't test here\n"
> # Test 49 got: <UNDEF> (t/15punctuation.t at line 12 fail #49)
> #    Expected: "$^W 0\n"
> # Test 50 got: <UNDEF> (t/15punctuation.t at line 12 fail #50)
> #    Expected: "$^X varies wildly\n"
> # Test 51 got: <UNDEF> (t/15punctuation.t at line 12 fail #51)
> #    Expected: "$^O linux\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlAw8DVW line 275
> pperl: perl script failed to start: No such file or directory
> # Test 52 got: <UNDEF> (t/15punctuation.t at line 12 fail #52)
> #    Expected: "$& \n"
> # Test 53 got: <UNDEF> (t/15punctuation.t at line 12 fail #53)
> #    Expected: "$` \n"
> # Test 54 got: <UNDEF> (t/15punctuation.t at line 12 fail #54)
> #    Expected: "$' \n"
> # Test 55 got: <UNDEF> (t/15punctuation.t at line 12 fail #55)
> #    Expected: "$+ \n"
> # Test 56 got: <UNDEF> (t/15punctuation.t at line 12 fail #56)
> #    Expected: "\n"
> # Test 57 got: <UNDEF> (t/15punctuation.t at line 12 fail #57)
> #    Expected: "$. tested elsewhere\n"
> # Test 58 got: <UNDEF> (t/15punctuation.t at line 12 fail #58)
> #    Expected: "$/ \n"
> # Test 59 got: <UNDEF> (t/15punctuation.t at line 12 fail #59)
> #    Expected: "\n"
> # Test 60 got: <UNDEF> (t/15punctuation.t at line 12 fail #60)
> #    Expected: "\n"
> # Test 61 got: <UNDEF> (t/15punctuation.t at line 12 fail #61)
> #    Expected: "$| 0\n"
> # Test 62 got: <UNDEF> (t/15punctuation.t at line 12 fail #62)
> #    Expected: "$, \n"
> # Test 63 got: <UNDEF> (t/15punctuation.t at line 12 fail #63)
> #    Expected: "$ \n"
> # Test 64 got: <UNDEF> (t/15punctuation.t at line 12 fail #64)
> #    Expected: "\n"
> # Test 65 got: <UNDEF> (t/15punctuation.t at line 12 fail #65)
> #    Expected: "$\"  \n"
> # Test 66 got: <UNDEF> (t/15punctuation.t at line 12 fail #66)
> #    Expected: "$; \34\n"
> # Test 67 got: <UNDEF> (t/15punctuation.t at line 12 fail #67)
> #    Expected: "\n"
> # Test 68 got: <UNDEF> (t/15punctuation.t at line 12 fail #68)
> #    Expected: "$% 0\n"
> # Test 69 got: <UNDEF> (t/15punctuation.t at line 12 fail #69)
> #    Expected: "$= 60\n"
> # Test 70 got: <UNDEF> (t/15punctuation.t at line 12 fail #70)
> #    Expected: "$- TODO\n"
> # Test 71 got: <UNDEF> (t/15punctuation.t at line 12 fail #71)
> #    Expected: "$~ STDOUT\n"
> # Test 72 got: <UNDEF> (t/15punctuation.t at line 12 fail #72)
> #    Expected: "$^ STDOUT_TOP\n"
> # Test 73 got: <UNDEF> (t/15punctuation.t at line 12 fail #73)
> #    Expected: "$:  \n"
> # Test 74 got: <UNDEF> (t/15punctuation.t at line 12 fail #74)
> #    Expected: "-\n"
> # Test 75 got: <UNDEF> (t/15punctuation.t at line 12 fail #75)
> #    Expected: "$^L \f\n"
> # Test 76 got: <UNDEF> (t/15punctuation.t at line 12 fail #76)
> #    Expected: "\n"
> # Test 77 got: <UNDEF> (t/15punctuation.t at line 12 fail #77)
> #    Expected: "$? 0\n"
> # Test 78 got: <UNDEF> (t/15punctuation.t at line 12 fail #78)
> #    Expected: "$! \n"
> # Test 79 got: <UNDEF> (t/15punctuation.t at line 12 fail #79)
> #    Expected: "$^E \n"
> # Test 80 got: <UNDEF> (t/15punctuation.t at line 12 fail #80)
> #    Expected: "$@ \n"
> # Test 81 got: <UNDEF> (t/15punctuation.t at line 12 fail #81)
> #    Expected: "\n"
> # Test 82 got: <UNDEF> (t/15punctuation.t at line 12 fail #82)
> #    Expected: "$$ tested elsewhere\n"
> # Test 83 got: <UNDEF> (t/15punctuation.t at line 12 fail #83)
> #    Expected: "$< 1001\n"
> # Test 84 got: <UNDEF> (t/15punctuation.t at line 12 fail #84)
> #    Expected: "$> 1001\n"
> # Test 85 got: <UNDEF> (t/15punctuation.t at line 12 fail #85)
> #    Expected: "$( 107 107\n"
> # Test 86 got: <UNDEF> (t/15punctuation.t at line 12 fail #86)
> #    Expected: "$) 107 107\n"
> # Test 87 got: <UNDEF> (t/15punctuation.t at line 12 fail #87)
> #    Expected: "$0 t/punctuation.plx\n"
> # Test 88 got: <UNDEF> (t/15punctuation.t at line 12 fail #88)
> #    Expected: "\n"
> # Test 89 got: <UNDEF> (t/15punctuation.t at line 12 fail #89)
> #    Expected: "$] 5.010000\n"
> # Test 90 got: <UNDEF> (t/15punctuation.t at line 12 fail #90)
> #    Expected: "\n"
> # Test 91 got: <UNDEF> (t/15punctuation.t at line 12 fail #91)
> #    Expected: "$^A \n"
> # Test 92 got: <UNDEF> (t/15punctuation.t at line 12 fail #92)
> #    Expected: "$^C 0\n"
> # Test 93 got: <UNDEF> (t/15punctuation.t at line 12 fail #93)
> #    Expected: "$^D 0\n"
> # Test 94 got: <UNDEF> (t/15punctuation.t at line 12 fail #94)
> #    Expected: "$^F hightly dependant on weather\n"
> # Test 95 got: <UNDEF> (t/15punctuation.t at line 12 fail #95)
> #    Expected: "$^I \n"
> # Test 96 got: <UNDEF> (t/15punctuation.t at line 12 fail #96)
> #    Expected: "$^P 0\n"
> # Test 97 got: <UNDEF> (t/15punctuation.t at line 12 fail #97)
> #    Expected: "$^R \n"
> # Test 98 got: <UNDEF> (t/15punctuation.t at line 12 fail #98)
> #    Expected: "$^S can't affect\n"
> # Test 99 got: <UNDEF> (t/15punctuation.t at line 12 fail #99)
> #    Expected: "$^T can't test here\n"
> # Test 100 got: <UNDEF> (t/15punctuation.t at line 12 fail #100)
> #     Expected: "$^W 0\n"
> # Test 101 got: <UNDEF> (t/15punctuation.t at line 12 fail #101)
> #     Expected: "$^X varies wildly\n"
> # Test 102 got: <UNDEF> (t/15punctuation.t at line 12 fail #102)
> #     Expected: "$^O linux\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperljcvwUR line 275
> pperl: perl script failed to start: No such file or directory
> # Test 103 got: <UNDEF> (t/15punctuation.t at line 12 fail #103)
> #     Expected: "$& \n"
> # Test 104 got: <UNDEF> (t/15punctuation.t at line 12 fail #104)
> #     Expected: "$` \n"
> # Test 105 got: <UNDEF> (t/15punctuation.t at line 12 fail #105)
> #     Expected: "$' \n"
> # Test 106 got: <UNDEF> (t/15punctuation.t at line 12 fail #106)
> #     Expected: "$+ \n"
> # Test 107 got: <UNDEF> (t/15punctuation.t at line 12 fail #107)
> #     Expected: "\n"
> # Test 108 got: <UNDEF> (t/15punctuation.t at line 12 fail #108)
> #     Expected: "$. tested elsewhere\n"
> # Test 109 got: <UNDEF> (t/15punctuation.t at line 12 fail #109)
> #     Expected: "$/ \n"
> # Test 110 got: <UNDEF> (t/15punctuation.t at line 12 fail #110)
> #     Expected: "\n"
> # Test 111 got: <UNDEF> (t/15punctuation.t at line 12 fail #111)
> #     Expected: "\n"
> # Test 112 got: <UNDEF> (t/15punctuation.t at line 12 fail #112)
> #     Expected: "$| 0\n"
> # Test 113 got: <UNDEF> (t/15punctuation.t at line 12 fail #113)
> #     Expected: "$, \n"
> # Test 114 got: <UNDEF> (t/15punctuation.t at line 12 fail #114)
> #     Expected: "$ \n"
> # Test 115 got: <UNDEF> (t/15punctuation.t at line 12 fail #115)
> #     Expected: "\n"
> # Test 116 got: <UNDEF> (t/15punctuation.t at line 12 fail #116)
> #     Expected: "$\"  \n"
> # Test 117 got: <UNDEF> (t/15punctuation.t at line 12 fail #117)
> #     Expected: "$; \34\n"
> # Test 118 got: <UNDEF> (t/15punctuation.t at line 12 fail #118)
> #     Expected: "\n"
> # Test 119 got: <UNDEF> (t/15punctuation.t at line 12 fail #119)
> #     Expected: "$% 0\n"
> # Test 120 got: <UNDEF> (t/15punctuation.t at line 12 fail #120)
> #     Expected: "$= 60\n"
> # Test 121 got: <UNDEF> (t/15punctuation.t at line 12 fail #121)
> #     Expected: "$- TODO\n"
> # Test 122 got: <UNDEF> (t/15punctuation.t at line 12 fail #122)
> #     Expected: "$~ STDOUT\n"
> # Test 123 got: <UNDEF> (t/15punctuation.t at line 12 fail #123)
> #     Expected: "$^ STDOUT_TOP\n"
> # Test 124 got: <UNDEF> (t/15punctuation.t at line 12 fail #124)
> #     Expected: "$:  \n"
> # Test 125 got: <UNDEF> (t/15punctuation.t at line 12 fail #125)
> #     Expected: "-\n"
> # Test 126 got: <UNDEF> (t/15punctuation.t at line 12 fail #126)
> #     Expected: "$^L \f\n"
> # Test 127 got: <UNDEF> (t/15punctuation.t at line 12 fail #127)
> #     Expected: "\n"
> # Test 128 got: <UNDEF> (t/15punctuation.t at line 12 fail #128)
> #     Expected: "$? 0\n"
> # Test 129 got: <UNDEF> (t/15punctuation.t at line 12 fail #129)
> #     Expected: "$! \n"
> # Test 130 got: <UNDEF> (t/15punctuation.t at line 12 fail #130)
> #     Expected: "$^E \n"
> # Test 131 got: <UNDEF> (t/15punctuation.t at line 12 fail #131)
> #     Expected: "$@ \n"
> # Test 132 got: <UNDEF> (t/15punctuation.t at line 12 fail #132)
> #     Expected: "\n"
> # Test 133 got: <UNDEF> (t/15punctuation.t at line 12 fail #133)
> #     Expected: "$$ tested elsewhere\n"
> # Test 134 got: <UNDEF> (t/15punctuation.t at line 12 fail #134)
> #     Expected: "$< 1001\n"
> # Test 135 got: <UNDEF> (t/15punctuation.t at line 12 fail #135)
> #     Expected: "$> 1001\n"
> # Test 136 got: <UNDEF> (t/15punctuation.t at line 12 fail #136)
> #     Expected: "$( 107 107\n"
> # Test 137 got: <UNDEF> (t/15punctuation.t at line 12 fail #137)
> #     Expected: "$) 107 107\n"
> # Test 138 got: <UNDEF> (t/15punctuation.t at line 12 fail #138)
> #     Expected: "$0 t/punctuation.plx\n"
> # Test 139 got: <UNDEF> (t/15punctuation.t at line 12 fail #139)
> #     Expected: "\n"
> # Test 140 got: <UNDEF> (t/15punctuation.t at line 12 fail #140)
> #     Expected: "$] 5.010000\n"
> # Test 141 got: <UNDEF> (t/15punctuation.t at line 12 fail #141)
> #     Expected: "\n"
> # Test 142 got: <UNDEF> (t/15punctuation.t at line 12 fail #142)
> #     Expected: "$^A \n"
> # Test 143 got: <UNDEF> (t/15punctuation.t at line 12 fail #143)
> #     Expected: "$^C 0\n"
> # Test 144 got: <UNDEF> (t/15punctuation.t at line 12 fail #144)
> #     Expected: "$^D 0\n"
> # Test 145 got: <UNDEF> (t/15punctuation.t at line 12 fail #145)
> #     Expected: "$^F hightly dependant on weather\n"
> # Test 146 got: <UNDEF> (t/15punctuation.t at line 12 fail #146)
> #     Expected: "$^I \n"
> # Test 147 got: <UNDEF> (t/15punctuation.t at line 12 fail #147)
> #     Expected: "$^P 0\n"
> # Test 148 got: <UNDEF> (t/15punctuation.t at line 12 fail #148)
> #     Expected: "$^R \n"
> # Test 149 got: <UNDEF> (t/15punctuation.t at line 12 fail #149)
> #     Expected: "$^S can't affect\n"
> # Test 150 got: <UNDEF> (t/15punctuation.t at line 12 fail #150)
> #     Expected: "$^T can't test here\n"
> # Test 151 got: <UNDEF> (t/15punctuation.t at line 12 fail #151)
> #     Expected: "$^W 0\n"
> # Test 152 got: <UNDEF> (t/15punctuation.t at line 12 fail #152)
> #     Expected: "$^X varies wildly\n"
> # Test 153 got: <UNDEF> (t/15punctuation.t at line 12 fail #153)
> #     Expected: "$^O linux\n"
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlaQcieW line 275
> pperl: perl script failed to start: No such file or directory
> # Test 154 got: <UNDEF> (t/15punctuation.t at line 12 fail #154)
> #     Expected: "$& \n"
> # Test 155 got: <UNDEF> (t/15punctuation.t at line 12 fail #155)
> #     Expected: "$` \n"
> # Test 156 got: <UNDEF> (t/15punctuation.t at line 12 fail #156)
> #     Expected: "$' \n"
> # Test 157 got: <UNDEF> (t/15punctuation.t at line 12 fail #157)
> #     Expected: "$+ \n"
> # Test 158 got: <UNDEF> (t/15punctuation.t at line 12 fail #158)
> #     Expected: "\n"
> # Test 159 got: <UNDEF> (t/15punctuation.t at line 12 fail #159)
> #     Expected: "$. tested elsewhere\n"
> # Test 160 got: <UNDEF> (t/15punctuation.t at line 12 fail #160)
> #     Expected: "$/ \n"
> # Test 161 got: <UNDEF> (t/15punctuation.t at line 12 fail #161)
> #     Expected: "\n"
> # Test 162 got: <UNDEF> (t/15punctuation.t at line 12 fail #162)
> #     Expected: "\n"
> # Test 163 got: <UNDEF> (t/15punctuation.t at line 12 fail #163)
> #     Expected: "$| 0\n"
> # Test 164 got: <UNDEF> (t/15punctuation.t at line 12 fail #164)
> #     Expected: "$, \n"
> # Test 165 got: <UNDEF> (t/15punctuation.t at line 12 fail #165)
> #     Expected: "$ \n"
> # Test 166 got: <UNDEF> (t/15punctuation.t at line 12 fail #166)
> #     Expected: "\n"
> # Test 167 got: <UNDEF> (t/15punctuation.t at line 12 fail #167)
> #     Expected: "$\"  \n"
> # Test 168 got: <UNDEF> (t/15punctuation.t at line 12 fail #168)
> #     Expected: "$; \34\n"
> # Test 169 got: <UNDEF> (t/15punctuation.t at line 12 fail #169)
> #     Expected: "\n"
> # Test 170 got: <UNDEF> (t/15punctuation.t at line 12 fail #170)
> #     Expected: "$% 0\n"
> # Test 171 got: <UNDEF> (t/15punctuation.t at line 12 fail #171)
> #     Expected: "$= 60\n"
> # Test 172 got: <UNDEF> (t/15punctuation.t at line 12 fail #172)
> #     Expected: "$- TODO\n"
> # Test 173 got: <UNDEF> (t/15punctuation.t at line 12 fail #173)
> #     Expected: "$~ STDOUT\n"
> # Test 174 got: <UNDEF> (t/15punctuation.t at line 12 fail #174)
> #     Expected: "$^ STDOUT_TOP\n"
> # Test 175 got: <UNDEF> (t/15punctuation.t at line 12 fail #175)
> #     Expected: "$:  \n"
> # Test 176 got: <UNDEF> (t/15punctuation.t at line 12 fail #176)
> #     Expected: "-\n"
> # Test 177 got: <UNDEF> (t/15punctuation.t at line 12 fail #177)
> #     Expected: "$^L \f\n"
> # Test 178 got: <UNDEF> (t/15punctuation.t at line 12 fail #178)
> #     Expected: "\n"
> # Test 179 got: <UNDEF> (t/15punctuation.t at line 12 fail #179)
> #     Expected: "$? 0\n"
> # Test 180 got: <UNDEF> (t/15punctuation.t at line 12 fail #180)
> #     Expected: "$! \n"
> # Test 181 got: <UNDEF> (t/15punctuation.t at line 12 fail #181)
> #     Expected: "$^E \n"
> # Test 182 got: <UNDEF> (t/15punctuation.t at line 12 fail #182)
> #     Expected: "$@ \n"
> # Test 183 got: <UNDEF> (t/15punctuation.t at line 12 fail #183)
> #     Expected: "\n"
> # Test 184 got: <UNDEF> (t/15punctuation.t at line 12 fail #184)
> #     Expected: "$$ tested elsewhere\n"
> # Test 185 got: <UNDEF> (t/15punctuation.t at line 12 fail #185)
> #     Expected: "$< 1001\n"
> # Test 186 got: <UNDEF> (t/15punctuation.t at line 12 fail #186)
> #     Expected: "$> 1001\n"
> # Test 187 got: <UNDEF> (t/15punctuation.t at line 12 fail #187)
> #     Expected: "$( 107 107\n"
> # Test 188 got: <UNDEF> (t/15punctuation.t at line 12 fail #188)
> #     Expected: "$) 107 107\n"
> # Test 189 got: <UNDEF> (t/15punctuation.t at line 12 fail #189)
> #     Expected: "$0 t/punctuation.plx\n"
> # Test 190 got: <UNDEF> (t/15punctuation.t at line 12 fail #190)
> #     Expected: "\n"
> # Test 191 got: <UNDEF> (t/15punctuation.t at line 12 fail #191)
> #     Expected: "$] 5.010000\n"
> # Test 192 got: <UNDEF> (t/15punctuation.t at line 12 fail #192)
> #     Expected: "\n"
> # Test 193 got: <UNDEF> (t/15punctuation.t at line 12 fail #193)
> #     Expected: "$^A \n"
> # Test 194 got: <UNDEF> (t/15punctuation.t at line 12 fail #194)
> #     Expected: "$^C 0\n"
> # Test 195 got: <UNDEF> (t/15punctuation.t at line 12 fail #195)
> #     Expected: "$^D 0\n"
> # Test 196 got: <UNDEF> (t/15punctuation.t at line 12 fail #196)
> #     Expected: "$^F hightly dependant on weather\n"
> # Test 197 got: <UNDEF> (t/15punctuation.t at line 12 fail #197)
> #     Expected: "$^I \n"
> # Test 198 got: <UNDEF> (t/15punctuation.t at line 12 fail #198)
> #     Expected: "$^P 0\n"
> # Test 199 got: <UNDEF> (t/15punctuation.t at line 12 fail #199)
> #     Expected: "$^R \n"
> # Test 200 got: <UNDEF> (t/15punctuation.t at line 12 fail #200)
> #     Expected: "$^S can't affect\n"
> # Test 201 got: <UNDEF> (t/15punctuation.t at line 12 fail #201)
> #     Expected: "$^T can't test here\n"
> # Test 202 got: <UNDEF> (t/15punctuation.t at line 12 fail #202)
> #     Expected: "$^W 0\n"
> # Test 203 got: <UNDEF> (t/15punctuation.t at line 12 fail #203)
> #     Expected: "$^X varies wildly\n"
> # Test 204 got: <UNDEF> (t/15punctuation.t at line 12 fail #204)
> #     Expected: "$^O linux\n"
> t/15punctuation......FAILED tests 1-204
> 	Failed 204/204 tests, 0.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlkDCiG1 line 275
> pperl: perl script failed to start: No such file or directory
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlmhotC5 line 275
> pperl: perl script failed to start: No such file or directory
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlvWGX16 line 275
> pperl: perl script failed to start: No such file or directory
> Argument "" isn't numeric in numeric ne (!=) at t/16oops.t line 7.
> Argument "" isn't numeric in numeric ne (!=) at t/16oops.t line 7.
> t/16oops.............ok
>         1/1 skipped: various reasons
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlW7Hyic line 275
> pperl: perl script failed to start: No such file or directory
> # Failed test 1 in t/17dickvd.t at line 6
> #  t/17dickvd.t line 6 is: ok($sock_no);
> Argument "" isn't numeric in foreach loop entry at t/17dickvd.t line 10.
> # Failed test 2 in t/17dickvd.t at line 17
> #  t/17dickvd.t line 17 is: ok($new_sock_no);
> Argument "" isn't numeric in numeric ne (!=) at t/17dickvd.t line 18.
> # Failed test 3 in t/17dickvd.t at line 18
> #  t/17dickvd.t line 18 is: ok($new_sock_no != $sock_no);
> t/17dickvd...........FAILED tests 1-3
> 	Failed 3/3 tests, 0.00% okay
> pperl: persistent perl process failed to start after 30 seconds: No such file or directory
> # Test 2 got: "" (t/18modified.t at line 13)
> #   Expected: "foo"
> #  t/18modified.t line 13 is: ok( `$pperl $file`, 'foo' );
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlmPSGJM line 275
> pperl: perl script failed to start: No such file or directory
> # Test 4 got: "" (t/18modified.t at line 17)
> #   Expected: "bar"
> #  t/18modified.t line 17 is: ok( `$pperl $file`, 'bar' );
> t/18modified.........FAILED tests 2, 4
> 	Failed 2/4 tests, 50.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperlE8K3MR line 275
> pperl: perl script failed to start: No such file or directory
> # Test 2 got: "1" (t/19invoke_djbish.t at line 11)
> #   Expected: "20"
> #  t/19invoke_djbish.t line 11 is: skip($skip ? "skipping for now, see below" : 0, $? >> 8, 20);
> t/19invoke_djbish....FAILED test 2
> 	Failed 1/2 tests, 50.00% okay
> Can't create listen socket: Address already in use at /build/user-pperl_0.25-5-amd64-qGuab5/pperl-0.25/sockets/pperla4L2jX line 275
> pperl: perl script failed to start: No such file or directory
> # Test 3 got: "" (t/20invoke_cat.t at line 11)
> #   Expected: "#!/usr/local/perl5.6.1/bin/perl -w\nuse strict;\nprint <>;\n\n__DATA__\n\nFoo bar baz\n"
> #     (Install the Algorithm::Diff module to have differences in multiline
> #      output explained.  You might also set the PERL_TEST_DIFF environment
> #      variable to run a diff program on the output.)
> #  t/20invoke_cat.t line 11 is: ok(`./pperl -Iblib/lib -Iblib/arch t/invoke_cat.plx`, $expect);
> t/20invoke_cat.......FAILED test 3
> 	Failed 1/3 tests, 66.67% okay
> Failed Test         Stat Wstat Total Fail  List of Failed
> -------------------------------------------------------------------------------
> t/03cat.t                          9    6  4-9
> t/04args.t                         6    2  4 6
> t/05cwd.t                          4    2  2 4
> t/06exit_die.t                     8    4  5-8
> t/07djbish.t                       2    1  2
> t/08fork.t                        10   10  1-10
> t/09taint.t                        1    1  1
> t/10tie.t                         10   10  1-10
> t/11autoclose.t                    6    3  4-6
> t/12signals.t          1   256     6    7  3-6
> t/13pid.t              1   256     4    6  2-4
> t/14data.t                         8    6  3-8
> t/15punctuation.t                204  204  1-204
> t/17dickvd.t                       3    3  1-3
> t/18modified.t                     4    2  2 4
> t/19invoke_djbish.t                2    1  2
> t/20invoke_cat.t                   3    1  3
> 1 subtest skipped.
> Failed 17/21 test scripts. 263/294 subtests failed.
> Files=21, Tests=294, 70 wallclock secs ( 4.15 cusr +  0.57 csys =  4.72 CPU)
> Failed 17/21 test programs. 263/294 subtests failed.
> make[1]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/pperl_0.25-5_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Tue, 28 Jul 2009 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <tim@retout.co.uk>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Tue, 28 Jul 2009 15:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 533934@bugs.debian.org (full text, mbox):

From: Tim Retout <tim@retout.co.uk>
To: 533934@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: pperl: FTBFS: tests failed directory
Date: Tue, 28 Jul 2009 17:27:46 +0200
forcemerge 539028 533934
thanks

This is a copy of an earlier bug which got assigned to sbuild. It
doesn't affect the buildds or many users, as I understand it...  We
should fix it, but it's not RC.

-- 
Tim Retout <tim@retout.co.uk>




Forcibly Merged 533934 539028. Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Tue, 28 Jul 2009 15:33:06 GMT) Full text and rfc822 format available.

Added indication that bug 533934 blocks 615513 Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 02:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Mon, 02 May 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Mon, 02 May 2011 11:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 533934@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Tim Retout <tim@retout.co.uk>, 533934@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Mon, 2 May 2011 12:13:01 +0100
severity 533934 serious
block 619117 by 533934
thanks

On Tue, Jul 28, 2009 at 05:27:46PM +0200, Tim Retout wrote:
> This is a copy of an earlier bug which got assigned to sbuild. It
> doesn't affect the buildds or many users, as I understand it...  We
> should fix it, but it's not RC.

It is now affecting the buildds, so I'm raising the severity of this.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Severity set to 'serious' from 'normal' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 11:15:07 GMT) Full text and rfc822 format available.

Added indication that bug 533934 blocks 619117 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 11:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Thu, 12 May 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Thu, 12 May 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #28 received at 533934@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-perl@lists.debian.org, 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Thu, 12 May 2011 23:31:52 +0100
[CCing debian-perl since pperl is in the process of being adopted]

On Mon, May 02, 2011 at 12:13:01PM +0100, Dominic Hargreaves wrote:
> severity 533934 serious
> block 619117 by 533934
> thanks
> 
> On Tue, Jul 28, 2009 at 05:27:46PM +0200, Tim Retout wrote:
> > This is a copy of an earlier bug which got assigned to sbuild. It
> > doesn't affect the buildds or many users, as I understand it...  We
> > should fix it, but it's not RC.
> 
> It is now affecting the buildds, so I'm raising the severity of this.

This bug is caused by the fact that pperl names its socket files based
on the full path of the perl program being run under pperl, and there
is a fairly short limit on the full path of the socket (sun_path in
struct sockaddr_un from sys/un.h, 108 characters). The socket name is
being silently truncated on creation.

I can work around this by using mktemp -d to create a directory in /tmp
and use that as the value of PPERL_TMP_PATH, but this is a pretty nasty
workaround given that the idea of the patch was to stop using /tmp.
I can't find anthing in policy which says explicitly that one shouldn't
use /tmp during package builds, though.

I'm not a suitably experienced C programmer to come up with a good fix
in pperl itself easily. One option might be to compare the path of the
script being run with the socket directory, and strip out any common
path effectively turning it into a relative name. There are probably
other better fixes too.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Fri, 13 May 2011 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Fri, 13 May 2011 17:42:03 GMT) Full text and rfc822 format available.

Message #33 received at 533934@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: debian-perl@lists.debian.org
Cc: 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Fri, 13 May 2011 19:38:41 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 13 mai 2011 00:31:52, Dominic Hargreaves a écrit :
> This bug is caused by the fact that pperl names its socket files based
> on the full path of the perl program being run under pperl, and there
> is a fairly short limit on the full path of the socket (sun_path in
> struct sockaddr_un from sys/un.h, 108 characters). The socket name is
> being silently truncated on creation.

How about hashing (à la MD5) the full path and use the result as the socket 
name ? See md5(3ssl)

Although this would add a dependency on openssl...

HTH

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Sun, 12 Jun 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Sun, 12 Jun 2011 21:39:03 GMT) Full text and rfc822 format available.

Message #38 received at 533934@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Dominique Dumont <domi.dumont@free.fr>
Cc: debian-perl@lists.debian.org, 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Sun, 12 Jun 2011 22:36:33 +0100
On Fri, May 13, 2011 at 07:38:41PM +0200, Dominique Dumont wrote:
> Le vendredi 13 mai 2011 00:31:52, Dominic Hargreaves a écrit :
> > This bug is caused by the fact that pperl names its socket files based
> > on the full path of the perl program being run under pperl, and there
> > is a fairly short limit on the full path of the socket (sun_path in
> > struct sockaddr_un from sys/un.h, 108 characters). The socket name is
> > being silently truncated on creation.
> 
> How about hashing (à la MD5) the full path and use the result as the socket 
> name ? See md5(3ssl)
> 
> Although this would add a dependency on openssl...

I agree that adding a dependency on openssl would not be ideal. This
doesn't have to be cryptographically secure, so would crypt(3) or
similar suffice?

Donations of code welcome at this point...

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Mon, 13 Jun 2011 03:27:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Mon, 13 Jun 2011 03:27:43 GMT) Full text and rfc822 format available.

Message #43 received at 533934@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Dominic Hargreaves <dom@earth.li>
Cc: Dominique Dumont <domi.dumont@free.fr>, debian-perl@lists.debian.org, 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Sun, 12 Jun 2011 23:20:07 -0400
[Message part 1 (text/plain, inline)]
On 06/12/2011 05:36 PM, Dominic Hargreaves wrote:
> On Fri, May 13, 2011 at 07:38:41PM +0200, Dominique Dumont wrote:
>> Le vendredi 13 mai 2011 00:31:52, Dominic Hargreaves a écrit :
>>> This bug is caused by the fact that pperl names its socket files based
>>> on the full path of the perl program being run under pperl, and there
>>> is a fairly short limit on the full path of the socket (sun_path in
>>> struct sockaddr_un from sys/un.h, 108 characters). The socket name is
>>> being silently truncated on creation.
>>
>> How about hashing (à la MD5) the full path and use the result as the socket 
>> name ? See md5(3ssl)
>>
>> Although this would add a dependency on openssl...
> 
> I agree that adding a dependency on openssl would not be ideal. This
> doesn't have to be cryptographically secure, so would crypt(3) or
> similar suffice?

If the concerns around OpenSSL are licensing issues, there are many
better-licensed message digest toolkits, including:

 * nettle

 * gcrypt

 * Digest::MD5 (or other modules within the Digest:: namespace).

> Donations of code welcome at this point...

Does this really need any extra code?

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Mon, 13 Jun 2011 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Mon, 13 Jun 2011 06:51:03 GMT) Full text and rfc822 format available.

Message #48 received at 533934@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: Dominique Dumont <domi.dumont@free.fr>, debian-perl@lists.debian.org, 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Mon, 13 Jun 2011 07:47:27 +0100
On Sun, Jun 12, 2011 at 11:20:07PM -0400, Daniel Kahn Gillmor wrote:
> On 06/12/2011 05:36 PM, Dominic Hargreaves wrote:
> > On Fri, May 13, 2011 at 07:38:41PM +0200, Dominique Dumont wrote:
> >> Le vendredi 13 mai 2011 00:31:52, Dominic Hargreaves a écrit :
> >>> This bug is caused by the fact that pperl names its socket files based
> >>> on the full path of the perl program being run under pperl, and there
> >>> is a fairly short limit on the full path of the socket (sun_path in
> >>> struct sockaddr_un from sys/un.h, 108 characters). The socket name is
> >>> being silently truncated on creation.
> >>
> >> How about hashing (à la MD5) the full path and use the result as the socket 
> >> name ? See md5(3ssl)
> >>
> >> Although this would add a dependency on openssl...
> > 
> > I agree that adding a dependency on openssl would not be ideal. This
> > doesn't have to be cryptographically secure, so would crypt(3) or
> > similar suffice?
> 
> If the concerns around OpenSSL are licensing issues, there are many
> better-licensed message digest toolkits, including:
> 
>  * nettle
> 
>  * gcrypt
> 
>  * Digest::MD5 (or other modules within the Digest:: namespace).

This would be implemented in the C part of pperl, so this one is out.
In general I would be looking to avoid any extra heavyweight dependency
if possible, but thank you for pointing out that there are viable
alternatives.

> > Donations of code welcome at this point...
> 
> Does this really need any extra code?

Yes, pperl "needs" to be fixed. I wasn't suggesting the creation of a new
digest toolkit :)

I added the quotation marks because I'm starting to doubt that it is
worth spending time on. I use pperl a bit, but probably wouldn't miss
it hugely, and upstream appears to be dead.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#533934; Package pperl. (Mon, 13 Jun 2011 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. (Mon, 13 Jun 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #53 received at 533934@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Dominic Hargreaves <dom@earth.li>
Cc: 533934@bugs.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Dominique Dumont <domi.dumont@free.fr>, debian-perl@lists.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Mon, 13 Jun 2011 08:57:56 +0200
* Dominic Hargreaves:

> I added the quotation marks because I'm starting to doubt that it is
> worth spending time on. I use pperl a bit, but probably wouldn't miss
> it hugely, and upstream appears to be dead.

I don't use it anymore, either.

You could probably get away without hashing, by using something like
"$basename.$device.$inode.$counter".  $counter is used to resolve
collisions.




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#533934; Package pperl. (Mon, 13 Jun 2011 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. (Mon, 13 Jun 2011 19:24:03 GMT) Full text and rfc822 format available.

Message #58 received at 533934@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: Dominic Hargreaves <dom@earth.li>
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, debian-perl@lists.debian.org, 533934@bugs.debian.org
Subject: Re: Bug#533934: pperl: FTBFS: tests failed directory
Date: Mon, 13 Jun 2011 21:19:59 +0200
[Message part 1 (text/plain, inline)]
Le Monday 13 June 2011 08:47:27, Dominic Hargreaves a écrit :
> >  * Digest::MD5 (or other modules within the Digest:: namespace).
> 
> This would be implemented in the C part of pperl, so this one is out.

Not necessarily. The "interesting" part of Digest::MD5 is implemented in C 
within Digest::MD5 Perl distribution [1]. 

I guess that you should check with Digest::MD5 author (Gisle Aas) how to use 
directly the C functions...

All the best 

Dominique

[1] http://cpansearch.perl.org/src/GAAS/Digest-MD5-2.51/MD5.xs

--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 06 Aug 2011 13:21:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:45:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:09:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.